*, *::before, *::after {
  box-sizing: border-box;
}

* {
  margin: 0;
  padding: 0;
}

body {
  -webkit-font-smoothing: antialiased;
}

body {
  font-family: "Manrope", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  height: 100vh;
  display: flex;
  flex-direction: column;
}

.container {
  max-width: 1140px;
  width: 100%;
  margin: 0 auto;
  padding: 0 15px;
}

.main {
  background: url('./img/bg.webp');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  padding: 100px 0;
  flex: 1;
}

.main .info {
  max-width: 680px;
  width: 100%;
  margin: 0 40px 0 auto;
}

.main .info h2 {
  font-size: 48px;
  line-height: 55px;
  font-weight: 800;
  color: #FFF8ED;
  margin-bottom: 24px;
}

.main .info a,
.main .info p {
  font-size: 18px;
  line-height: 24px;
}

.main .info p {
  font-weight: 500;
  color: #FFFFFF;
  padding-bottom: 24px;
}

.main .info a {
  font-weight: 700;
  color: #45C2E9;
}

.footer {
  background-color: #005283;
  margin-top: auto;
}

.footer .footer-content {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 40px 0 32px;
  border-bottom: 1px solid RGBA(255, 255, 255, 0.2);
  justify-content: space-between;
}

.footer .footer-content .info {
  max-width: fit-content;
  margin: 0 auto;
}

.footer .copyright {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 32px 0 40px;
}

.footer .copyright .footer-content-item.center img {
  margin: 0 auto;
  display: block;
}

.footer .copyright .footer-content-item a {
  margin: 0 0 0 auto;
  display: block;
  width: 20px;
}

.footer .copyright .footer-content-item {
  display: flex;
  align-items: center;
}

.footer .copyright p {
  color: #ffffff;
  font-weight: 400;
  font-size: 13px;
  line-height: 17px;
}

.footer .footer-content a,
.footer .footer-content span {
  display: block;
  color: #FFFFFF;
  font-weight: 700;
  text-decoration: none;
}

.footer .social {
  display: flex;
  list-style: none;
  gap: 20px;
  align-items: center;
  max-width: fit-content;
  margin: 0 0 0 auto;
}

@media screen and (max-width: 768px) {
  .main {
    padding-top: 30px;
  }

  .main .info {
    max-width: 350px;
    margin: 0 0 0 auto;
  }

  .main .info h2 {
    font-size: 28px;
    line-height: 35px;
    text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.1);
  }

  .main .info a,
  .main .info p {
    font-size: 16px;
    line-height: 22px;
    text-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
  }

  .footer .footer-content {
    grid-template-columns: 1fr;
    padding: 20px 0;
    font-size: 14px;
  }
  
  .footer .copyright {
    grid-template-columns: 1fr;
    padding: 20px 0;
  }

  .footer .copyright .footer-content-item p {
    text-align: center;
    margin: 0 auto 14px;
  }

  .footer .copyright .footer-content-item a {
    margin: 15px auto 0;
  }

  .footer .social {
    margin: 0 auto;
  }

  .footer .footer-content .info {
    text-align: center;
    margin: 0 auto 15px;
  }

  .footer .address {
    text-align: center;
    margin: 0 auto 15px;
  }
}